Download it now!
Bug 122053 - kde5: Orca screen reader does not read text for context menus and dialogs
Summary: kde5: Orca screen reader does not read text for context menus and dialogs
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords: accessibility
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-12-12 18:00 UTC by Michael Weghorn
Modified: 2020-02-19 10:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-12-12 18:00:27 UTC
Version: 6.3.0.0.alpha0+
Build ID: 12edea426a31f57a9d5b1c65b34fb1336c5534e9
CPU threads: 1; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

This is not reproducible when using e.g. the gtk3 VCL plugin.

Steps to reproduce:

0) enable the Orca screen reader
1) start LibreOffice Writer
2) type some text, e.g. "hello" -> text is being read by orca (as exepcted)
3) select the text
4) open the context menu by right-clicking
5) navigate through the context menu

Result:

Orca does not read the context menu items aloud.

Expected result:

The text of the context items should be read aloud by Orca.

Notes:

* This works when using the gtk3 VCL plugin instead.
* It also works in other kde applications like kate.
* Orca also does not seem to read out texts for dialogs, e.g. when closing a document without saving ("Save document?" dialog)
Comment 1 Michael Weghorn 2018-12-12 18:11:13 UTC
Testing was done in Debian unstable, Orca is at version 3.30.1-1.
Comment 2 Michael Weghorn 2018-12-19 14:27:38 UTC Comment hidden (obsolete)
Comment 3 Michael Weghorn 2018-12-19 15:21:33 UTC
Please ignore comment 2, that was meant for another bug report.
Comment 4 Xisco Faulí 2019-01-21 18:37:02 UTC
Hi Michael Weghorn,
is this issue still reproducible in master ?
Comment 5 Michael Weghorn 2019-01-21 21:40:08 UTC
(In reply to Xisco Faulí from comment #4)
> Hi Michael Weghorn,
> is this issue still reproducible in master ?

Yes, still reproducible with

Version: 6.3.0.0.alpha0+
Build ID: fef58ec13c548fbd692adabafb0a84f50c273146
CPU threads: 2; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-21_04:32:52
Locale: en-US (en_DK.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Xisco Faulí 2019-01-21 22:23:51 UTC
Thanks. Moving to NEW
Comment 7 sandy jiil 2019-02-23 15:52:02 UTC Comment hidden (spam)
Comment 8 Mkjjers 2019-07-29 07:18:28 UTC Comment hidden (spam)
Comment 9 Kaitlyn 2020-01-13 10:48:12 UTC Comment hidden (spam)
Comment 10 Commit Notification 2020-02-12 08:20:25 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1e0b16f8695498e4eea7c2208aabf7e7664ce749

tdf#128921 tdf#130341 tdf#122053 qt5: Native PopupMenus

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Michael Weghorn 2020-02-12 08:28:32 UTC
Context menus are accessible now with the commit from comment 10, but dialogs still aren't.
Implementing native dialogs (welding) should fix those, but that's probably quite some work.

Orca also doesn't read anything for the gen VCL plugin, so the corresponding functionality is presumably not implemented for non-native dialogs. (?) Doing so might be another option, but welding might be the better approach.
Comment 12 Commit Notification 2020-02-19 10:58:33 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ceb2f69e0ef2381ce6ed8c65ea45e72aa86cda56

tdf#128921 tdf#130341 tdf#122053 qt5: Native PopupMenus

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.